import { loadEnv } from "@build/index";
import { http } from "/@/utils/http";

const { VITE_PROXY_DOMAIN_REAL } = loadEnv();

//列表
export async function httpList(): Promise<DataType<any>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin/orderExchangeList`,
    {
      data: {}
    }
  );
}
//详情
export async function httpDetail(data: object): Promise<DataType<any[]>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}admin/orderExchangeRead`,
    {
      data
    }
  );
}
