import { loadEnv } from "@build/index";
import { http } from "/@/utils/http";

const { VITE_PROXY_DOMAIN_REAL } = loadEnv();

// 添加
export async function httpAdd(data: object = {}): Promise<DataType<any>> {
  return http.request("post", `${VITE_PROXY_DOMAIN_REAL}admin/cardAdd`, {
    data
  });
}
// 列表
export async function httpList(data: object = {}): Promise<DataType<any>> {
  return http.request("post", `${VITE_PROXY_DOMAIN_REAL}admin/cardlist`, {
    data
  });
}
// 详情
export async function httpDetail(data: object = {}): Promise<DataType<any>> {
  return http.request("post", `${VITE_PROXY_DOMAIN_REAL}admin/cardRead`, {
    data
  });
}
// 更新
export async function httpUpdate(data: object = {}): Promise<DataType<any>> {
  return http.request("post", `${VITE_PROXY_DOMAIN_REAL}admin/cardEdit`, {
    data
  });
}
// 状态
export async function httpStatus(data: object = {}): Promise<DataType<any>> {
  return http.request("post", `${VITE_PROXY_DOMAIN_REAL}admin/cardChange`, {
    data
  });
}
// 删除
export async function httpDelete(data: object = {}): Promise<DataType<any>> {
  return http.request("post", `${VITE_PROXY_DOMAIN_REAL}admin/cardDelete`, {
    data
  });
}
