import { PageContentInstance } from "../../PageContent";
import PageContainer from "./page-container";

export type Hooks = {
  pageSearchHook: () => any;
};

export type Events<T = any> = {
  content: {
    preview?: (row: T) => any;
    update?: (row: T) => any;
    create?: () => void;
  };
};

export type PageContainerInstance = InstanceType<typeof PageContainer> & {
  content: PageContentInstance;
};
