declare interface RoleNode {
  addtime: string
  creater: string
  createrId: string
  desc: string
  id: string
  item: string
  level: string
  role_code: string
  role_name: string
  status: string
  updatetime: string
  work_company: string
}

/**
 * 流程节点
 */
interface ProcessChildNode { id: string, process_id: string, order_process: string, status_name: string }

declare interface ProcessNode {
  child?: ActionChildNode[]
  creater: string
  id: string
  process_name: string
  process_type: string
  status: string
}

declare interface RoleProcess {
  action_data: string[]
  addtime: string
  creater: string
  createrId: string
  desc: string
  id: string
  item: string
  level: string
  role_code: string
  role_name: string
  status: string
  updatetime: string
  work_company: string
}


/**
 * 菜单节点
*/
interface MenuActionDataNode {
  action_code: string
  action_name: string
  addtime: string
  id: string
  menuid: string
  status: string
  updatetime: string
}

interface MenuActionChildNode {
  action: MenuActionDataNode[]
  action_data: string[]
  addtime: string
  id: string
  is_del: string
  is_display: string
  is_private: string
  is_show: string
  menu_api: string
  menu_code: string
  menu_img: string
  menu_name: string
  menu_route: string
  menu_url: string
  pid: string
  status: string
  updatetime: string
  weight: string
}

declare interface MenuActionNode {
  addtime: string
  child?: MenuActionChildNode[]
  id: string
  is_del: string
  is_display: string
  is_private: string
  is_show: string
  menu_api: string
  menu_code: string
  menu_img: string
  menu_name: string
  menu_route: string
  menu_url: string
  pid: string
  status: string
  updatetime: string
  weight: string
}

declare interface MenuRoleAction {
  action: string[]
  action_conllect: string
  action_data: string
  addtime: string
  creater: string
  createrId: string
  desc: string
  id: string
  item: string
  item_name: string
  level: string
  private_data: string
  private_field: string[]
  role_code: string
  role_name: string
  status: string
  updatetime: string
  work_company: string
}
