import { FormConfig } from "/@/components/PageSearch";
import { STATUS_OPTIONS } from "/@/config/status";
import { convertOptions } from "/@/utils/column-helper";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "status",
      type: "select",
      placeholder: "视频状态",
      options: convertOptions(STATUS_OPTIONS)
    },
    {
      field: "video_name",
      type: "input",
      placeholder: "视频名称"
    },
    {
      field: "video_url",
      type: "input",
      placeholder: "视频地址"
    },
    {
      field: "video_sn",
      type: "input",
      placeholder: "视频编号"
    }
  ]
};

export default searchFormConfig;
