import { FormConfig } from "/@/components/PageSearch";
import { STATUS_OPTIONS } from "/@/config/status";
import { convertOptions } from "/@/utils/column-helper";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "status",
      type: "select",
      placeholder: "状态",
      options: convertOptions(STATUS_OPTIONS)
    },
    {
      field: "title",
      type: "input",
      placeholder: "企业名称"
    },
    {
      field: "contacts",
      type: "input",
      placeholder: "联系人"
    },
    {
      field: "mobile",
      type: "input",
      placeholder: "联系方式"
    }
  ]
};

export default searchFormConfig;
