/* eslint-disable prettier/prettier */
import { FormConfig } from "/@/components/PageSearch";
export const projectFormConfig: FormConfig = {
  labelWidth: "85px",
  formItems: [
    {
      label: "公司",
      field: "company_id",
      placeholder: "公司",
      span: 24,
      slot: "company_id"
    },
    {
      label: "卡类型",
      field: "card_id",
      placeholder: "卡类型",
      span: 24,
      slot: "card_id"
    },
    {
      label: "前缀",
      field: "headname",
      slot: "headname",
      placeholder: "前缀",
      span: 12
    },
    {
      label: "字母段",
      field: "username_prefix",
      type: "input",
      placeholder: "字母段",
      span: 12
    },
    {
      label: "年份段",
      field: "username_year",
      type: "number",
      placeholder: "年份段",
      span: 12
    },

    {
      label: "数字段",
      field: "suffix",
      slot: "suffix",
      placeholder: "数字段",
      span: 12
    },

    {
      label: "有效时间",
      field: "time",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "开始时间",
        endPlaceholder: "结束时间",
        format: "YYYY-MM-DD"
      },
      placeholder: "有效时间",
      span: 24
    }
  ]
};
