import { ModalConfig } from "/@/components/PageModal/src/types";
const modalConfig: ModalConfig = {
  title: "企业",
  colLayout: { span: 24 },
  itemStyle: {},
  width: "900px",
  contact: "company",
  labelWidth: "100px",
  formItems: [
    {
      field: "title",
      type: "input",
      label: "企业名称",
      placeholder: "企业名称",
      rules: [{ required: true, trigger: "blur", message: "请输入企业名称" }]
    },
    {
      field: "contacts",
      type: "input",
      label: "联系人",
      placeholder: "联系人",
      span: 12,
      rules: [{ required: true, trigger: "blur", message: "请输入联系人" }]
    },
    {
      field: "mobile",
      type: "input",
      label: "联系方式",
      placeholder: "联系方式",
      span: 12,
      rules: [{ required: true, trigger: "blur", message: "请输入联系方式" }]
    },
    {
      field: "remark",
      type: "textarea",
      label: "备注",
      placeholder: "备注",
      rules: [{ required: false, trigger: "blur", message: "请输入备注" }]
    }
  ]
};

export default modalConfig;
