import { loadEnv } from "@build/index";
import { http } from "/@/utils/http";

const { VITE_PROXY_DOMAIN_REAL } = loadEnv();

//改
export async function httpUpdate(data: object): Promise<DataType<any[]>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}/admin/inventoryExchangeEdit`,
    {
      data
    }
  );
}

//查详情
export async function httpDetail(data: object): Promise<DataType<any[]>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}/admin/inventoryExchangeRead`,
    {
      data
    }
  );
}
//查列表
export async function httpList(data: object): Promise<DataType<any[]>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}/admin/inventoryExchangeList`,
    {
      data
    }
  );
}
//改状态
export async function httpLog(data: object): Promise<DataType<any[]>> {
  return http.request(
    `post`,
    `${VITE_PROXY_DOMAIN_REAL}/admin/inventoryExchangeLog`,
    {
      data
    }
  );
}
