import { FormConfig } from "/@/components/PageSearch";
import { STATUS_OPTIONS, LEVEL_OPTIONS } from "/@/config/status";
import { convertOptions } from "/@/utils/column-helper";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "status",
      type: "select",
      placeholder: "状态",
      options: convertOptions(STATUS_OPTIONS)
    },
    {
      field: "level",
      type: "select",
      placeholder: "角色等级",
      options: convertOptions(LEVEL_OPTIONS)
    },
    {
      field: "title",
      type: "input",
      placeholder: "卡类型"
    }
  ]
};

export default searchFormConfig;
