/* eslint-disable prettier/prettier */
import { FormConfig } from "/@/components/PageSearch";
export const projectFormConfig: FormConfig = {
  labelWidth: "85px",
  formItems: [
    {
      label: "账户id",
      field: "id",
      type: "input",
      isHidden: true,
      placeholder: "账户id",
      span: 24
    },
    {
      label: "账户",
      field: "username",
      slot: "username",
      placeholder: "账户",
      span: 12
    },
    {
      label: "添加时间",
      field: "addtime",
      slot: "addtime",
      placeholder: "添加时间",
      span: 12
    },
    {
      label: "公司",
      field: "company_title",
      slot: "company_title",
      placeholder: "公司",
      span: 12
    },
    {
      label: "卡类型",
      field: "card_title",
      slot: "card_title",
      placeholder: "卡类型",
      span: 12
    },
    {
      label: "有效开始日期",
      field: "starttime",
      type: "date_picker",
      otherOptions: {
        type: "date",
        format: "YYYY-MM-DD"
      },
      placeholder: "有效开始日期",
      span: 12
    },
    {
      label: "有效结束时间",
      field: "expiretime",
      type: "date_picker",
      otherOptions: {
        type: "date",
        format: "YYYY-MM-DD"
      },
      placeholder: "有效结束时间",
      span: 12
    },
    {
      label: "姓名",
      field: "name",
      type: "input",
      placeholder: "姓名",
      span: 12
    },
    {
      label: "手机号",
      field: "mobile",
      type: "input",
      placeholder: "手机号",
      span: 12
    },
    {
      label: "备注",
      field: "remark",
      type: "textarea",
      placeholder: "字母段",
      span: 24
    },
    {
      label: "直播视频",
      field: "video_ids",
      slot: "video_ids",
      type: "array",
      placeholder: "直播视频",
      span: 24
    }
  ]
};
