import { FormConfig } from "/@/components/PageSearch";
import { ACCOUNT_STATUS_OPTIONS } from "/@/config/status";
import { convertOptions } from "/@/utils/column-helper";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "status",
      type: "select",
      placeholder: "账号状态",
      options: convertOptions(ACCOUNT_STATUS_OPTIONS)
    },
    {
      field: "username",
      type: "input",
      placeholder: "账号"
    },
    {
      field: "nickname",
      type: "input",
      placeholder: "客户姓名"
    },
    {
      field: "mobile",
      type: "input",
      placeholder: "客户手机号"
    }
  ]
};

export default searchFormConfig;
