import { ModalConfig } from "/@/components/PageModal/src/types";
import { httpList as httpCompanylist } from "/@/api/parameter/company";
import { httpList as httpCardlist } from "/@/api/parameter/card";
const modalConfig: ModalConfig = {
  title: "企业商品",
  colLayout: { span: 24 },
  itemStyle: {},
  contact: "setUserVideo",
  labelWidth: "85px",
  formItems: [
    {
      field: "name",
      type: "remote-select",
      label: "业务企业",
      placeholder: "业务企业",
      otherOptions: {
        api: httpCompanylist,
        responseLabelProp: "title",
        responseValPro: "id",
        requesetProp: "",
        isRoot: false,
        prop: "list"
      },
      span: 24,
      rules: [{ required: true, trigger: "change", message: "请选择业务企业" }]
    },
    {
      field: "name2",
      type: "remote-select",
      label: "卡类型",
      placeholder: "卡类型",
      otherOptions: {
        api: httpCardlist,
        responseLabelProp: "title",
        responseValPro: "id",
        requesetProp: "",
        isRoot: false,
        prop: "list"
      },
      span: 24,
      rules: [{ required: true, trigger: "change", message: "请选择卡类型" }]
    }
  ]
};

export default modalConfig;
