import { ModalConfig } from "/@/components/PageModal/src/types";
import { isLicense } from "/@/utils/validate";

const modalConfig: ModalConfig = {
  title: "服务",
  colLayout: { span: 24 },
  itemStyle: {},
  contact: "setService",
  labelWidth: "100px",
  width: "700px",
  formItems: [
    {
      field: "company_title",
      type: "input",
      label: "公司",
      placeholder: "公司"
    },

    {
      field: "card_title",
      type: "input",
      label: "卡类型",
      placeholder: "卡类型"
    },

    {
      field: "title",
      type: "input",
      label: "服务名称",
      placeholder: "服务名称"
    },
    {
      field: "original_price",
      type: "number",
      label: "原价",
      placeholder: "原价"
    },
    {
      field: "activity_price",
      type: "number",
      label: "活动价",
      placeholder: "活动价"
    },

    {
      field: "starttime",
      type: "date_picker",
      label: "活动开始日期",
      placeholder: "活动开始日期",
      span: 24
    },
    {
      field: "endtime",
      type: "date_picker",
      label: "活动结束日期",
      placeholder: "活动结束日期",
      span: 24
    },
    {
      field: "expiretime",
      type: "date_picker",
      label: "服务到期日期",
      placeholder: "服务到期日期",
      span: 24
    },
    {
      field: "content",
      type: "textarea",
      label: "服务介绍",
      placeholder: "服务介绍",
      span: 24
    },
    {
      field: "remark",
      type: "textarea",
      label: "备注",
      placeholder: "备注",
      span: 24
    },
    {
      field: "addtime",
      type: "input",
      label: "创建时间",
      placeholder: "创建时间"
    }
  ]
};

export default modalConfig;
