import { createOptions } from "../utils/create-options";
import { ModalConfig } from "/@/components/PageModal/src/types";
import { STATUS_OPTIONS } from "/@/config/status";
const modalConfig: ModalConfig = {
  title: "按钮",
  colLayout: { span: 24 },
  itemStyle: {},
  contact: "setBtn",
  labelWidth: "100px",
  formItems: [
    {
      field: "action_code",
      type: "select",
      label: "按钮名称",
      placeholder: "按钮名称",
      options: createOptions(),
      rules: [{ required: true, trigger: "change", message: "请选择按钮标识" }]
    },
    {
      field: "status",
      type: "radio",
      label: "按钮状态",
      options: STATUS_OPTIONS,
      rules: [{ required: true, trigger: "change", message: "请选择按钮状态" }]
    }
  ]
};

export default modalConfig;
